global
  #log stdout format raw local0
  log /dev/log local0 debug
  maxconn 256
  pidfile /tmp/haproxy-queue.pid

defaults
  mode http
  timeout connect   6000ms
  timeout client  300000ms
  timeout server  300000ms
  maxconn 256
  option redispatch
  retries 3
  option httpclose
  option httplog
  option forwardfor
  option httpchk HEAD / HTTP/1.0

frontend https-in
  log global
  bind *:443 ssl crt /config/server-cert.pem ca-file /etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem verify optional
  mode http
  option forwardfor
  option http-server-close
  http-request set-header X-Client-Certificate %[ssl_c_der,base64]

  use_backend cadc-luskan-service if { path /luskan } || { path_beg /luskan/ }
  use_backend cadc-minoc-service  if { path /minoc }  || { path_beg /minoc/ }
  use_backend cadc-critwall-service  if { path /critwall }  || { path_beg /critwall/ }
  use_backend cadc-fenwick-service  if { path /fenwick }  || { path_beg /fenwick/ }

backend cadc-minoc-service
  mode http
  server minoc minoc:8080 check maxconn 100

backend cadc-luskan-service
  mode http
  server luskan luskan:8080 check maxconn 100

backend cadc-critwall-service
  mode http
  server critwall critwall:8080 check maxconn 100

backend cadc-fenwick-service
  mode http
  server fencwick fenwick:8080 check maxconn 100



